Subject: Re: network manager confused with bcm43xx-d80211?

From: Johannes Berg <[email-masked]>
Date: Mon, 14 Aug 2006 14:54:39 +0200

Larry Finger wrote:
> The RFCd patch to add wireless stats to d80211 received only minor 
> comments, which have all been addressed. I will be submitting a proper 
> patch to Linville's tree today. In addition, I have reached an 
> agreement with the authors of all other drivers that use d80211 on a 
> scheme that will implement the stats code for them as well. 
> Unfortunately, none of them provide such useful quantities as noise 
> values, but perhaps the prominent FIXMEs will spur action by those who 
> have detailed device specifications.

Sounds good to me, thanks :) I'll take a look at bcm43xx signal 
strength/quality reverse engineering, I promise. Just have to get to it, 
right now I'm using a rt2500usb device which doesn't seem to give any 
useful values.

johannes